.lf 1 owping.ms
'\"t
." The first line of this file must contain the '"[e][r][t][v] line
." to tell man to run the appropriate filter "t" for table.
." vim: set filetype=nroff :
."
."	$Id: owping.ms 1041 2009-01-12 14:46:23Z aaron $
."
."######################################################################
."#									#
."#			   Copyright (C)  2004				#
."#	     			Internet2				#
."#			   All Rights Reserved				#
."#									#
."######################################################################
."
."	File:		owping.1
."
."	Author:		Jeff Boote
."			Internet2
."
."	Date:		Wed Apr 28 08:48:05 MDT 2004
."
."	Description:	
."
.TH owping 1 "$Date: 2009-01-12 09:46:23 -0500 (Mon, 12 Jan 2009) $"
.SH NAME
owping \- Client application to request one-way latency tests.
.SH SYNOPSIS
.B owping 
[\fIoptions\fR] testpeer [server]
.SH DESCRIPTION
\fBowping\fR is a command line client application that is used to
initiate one-way latency tests.
.PP
Round-trip latency measurements (ping) are
an accepted technique to look for network problems; One-way measurements
have the potential to be even more useful. With round-trip measurements
it is difficult to isolate the direction in which congestion is experienced.
Traffic is often asymmetric with many sites being either primarily producers
or consumers of data. One-way measurements allow more informative
measurements. It is much easier to isolate the effects of traffic on
specific parts of a network.
.PP
.B owping
works by
contacting an \fBowampd\fR daemon on the remote peer host.
\fBowampd\fR manages the resources of the host on which it runs.
.PP
.I testpeer
can be specified using rfc2396 and rfc2732 syntax for both host and
port specification:
.TP
.I node:port
.br
IPv4 syntax where node is either a DNS name or a numeric host address string
consisting of a dotted decimal IPv4 address. The \fI\:port\fR is an optional
port specifier to contact servers running on a non-default port and
can be left off in most cases.
This syntax also works for IPv6 addresses specified using DNS names.
.TP
.I [node]:port
IPv6 syntax where node is specified using a numeric IPv6 host address
string. The []'s are required only if the optional \fI\:port\fR port
specifier is used.
.PP
.I server
is an optional argument that indicates the \fBOWAMP\fR server address
if it is different from the \fItestpeer\fR. This is mostly useful in
the case of hosts with more than one network interface where the
\fBOWAMP\fR server is not listening on the interface that you want to test.
The \fIserver\fR can be specified using the same syntax as the \fItestpeer\fR.
\.
.PP
The \fBowping\fR client is used to request the type of
test wanted. The parameters allow the user to select the full send schedule,
direction of test (send, receive, or both) as well as packet size.
The results are returned to the client after the test completes. The
test will not be complete until \fItimeout\fR after the last packet is
scheduled to be sent.
.PP
With no options specified, \fBowping\fR will perform concurrent bidirectional
tests of 100 packets each at a rate of approximately 1 packet every 0.1
seconds to and from the \fItestpeer\fR. Then, the receivers on each host
will wait a reasonable period after that to count possible duplicate packets.
(See the \fI\-L\fR option.) Upon completion of the sessions, summary statistics
are printed to STDOUT.
.lf 1 owping_report.man
." ex: set tabstop=4 ai expandtab softtabstop=4 shiftwidth=4:
." -*- mode: c-basic-indent: 4; tab-width: 4; indent-tabs-mode: nil -*-
." The first line of this file must contain the '"[e][r][t][v] line
." to tell man to run the appropriate filter "t" for table.
." vim: set filetype=nroff :
."
."    $Id: owping_report.man 1033 2008-12-16 18:38:51Z boote $
."
."######################################################################
."#                                                                    #
."#                        Copyright (C)  2007                         #
."#                            Internet2                               #
."#                        All Rights Reserved                         #
."#                                                                    #
."######################################################################
."
."    File:        owping_report.man
."
."    Author:      Jeff W. Boote
."                 Internet2
."
."    Date:        Sat Feb 24 04:09:01 MST 2007
."
."    Description:    
."      This file is included into owping.1, owfetch.1, owstats.1 and
."      is not useful as a man-page on its own.
."
.PP
\fBOWAMP\fR supports three reporting formats. A textual summary that was
designed to be as similar to the results that \fBping\fR produces as
possible. A machine readable summary format (\fI\-M\fR). And finally
a raw format that prints out the data from each and every packet in as
compact of a format as possible (\fI\-R\fR).
The textual summary also allows the information from each packet to be
reported using the \fI\-v\fR option. The default textual summary will
be used if neither the \fI\-M\fR or the \fI\-R\fR options are specified.
It includes:
.TP
SID
.br
Session Identifier. This value is unique for every test session.
.TP
Sent, Lost, Duplicates
.br
Number of packets that were sent, lost, and duplicated as seen by \fBOWAMP\fR.
.TP
Min Delay, Median Delay, Max Delay, Error Estimate
.br
Minimum, median and maximum delay seen for sample. Maximum error estimate for
the sample. (The median is determined using a histogram, so the resolution
of this value is bounded by the \fI\-b\fR parameter. This can lead to misleading
results, for example, for very small values of latency it is possible to
see a value for the median that is greater than the maximum, but this is
simply due to the resolution of the median measurement.)
.TP
Jitter
.br
An estimate of how "stable" the delay samples are. \fBOWAMP\fR reports
the interquartile range for this. (The 95th percentile of delay - 50th
percentile of delay).
.TP
Additional percentiles
.br
If the \fI\-a\fR option is used, those additional percentiles from the
sample are displayed.
.TP
TTL (hops) information
.br
As a packet traverses the network, the IP TTL field is decremented each
time the packet crosses a router. \fBOWAMP\fR has been designed to
collect the TTL information from the packets. The \fBOWAMP\fR
sender sets the TTL of all outgoing packets to 255. The \fBOWAMP\fR
receiver retrieves the TTL from the packet. The normal textual
report uses this information to report the number of hops (number of
routers) the packet traversed. The number of distinct values is reported
as well as the minimum and maximum number of hops seen in the given session.
The other reporting formats just report raw TTL values as seen in the packets.
(It should be noted that if the number of hops reported seems unusually
large, it probably means the \fBOWAMP\fR sender was not able to set the
TTL value correctly. The \fBtraceroute(1)\fR program can be used to
verify what \fBOWAMP\fR is reporting.)
.TP
Reordering
.br
Finally \fBOWAMP\fR reports the amount of re-ordering it observed. A
description of the metric used to report this can be found at:
.br
\%http://www.internet2.edu/~shalunov/ippm/draft-shalunov-reordering-definition-02.txt
.lf 88 owping.ms
.SH OPTIONS
.TP
\fB\-h\fR
.br
Print a usage message and exit.
.RS
.IP Default:
Unset.
.RE
.lf 1 owping_test_opts.man
'\"t
." ex: set tabstop=4 ai expandtab softtabstop=4 shiftwidth=4:
." -*- mode: c-basic-indent: 4; tab-width: 4; indent-tabs-mode: nil -*-
." The first line of this file must contain the '"[e][r][t][v] line
." to tell man to run the appropriate filter "t" for table.
." vim: set filetype=nroff :
."
."    $Id: owping_test_opts.man 980 2007-03-06 22:02:45Z boote $
."
."######################################################################
."#                                                                    #
."#                        Copyright (C)  2007                         #
."#                            Internet2                               #
."#                        All Rights Reserved                         #
."#                                                                    #
."######################################################################
."
."    File:        owping_test_opts.man
."
."    Author:      Jeff W. Boote
."                 Internet2
."
."    Date:        Sat Feb 24 04:09:22 MST 2007
."
."    Description:    
."      This file is included into owping.1, owfetch.1, owstats.1 and
."      is not useful as a man-page on its own.
."
.SS Test Configuration Options:
.TP
\fB\-c\fR \fIcount\fR
.br
Number of test packets to send in the test session.
.RS
.IP Default:
100
.RE
.TP
\fB\-D\fR \fIDSCP\fR
.br
Set an RFC 2474 style DSCP value for the TOS byte in the sending packets. This
can be set using a 6-bit numeric value in decimal, hex, or octal. Additionally,
the following set of symbolic
\fBDSCP\fR name constants are understood. (Example applications are taken
from RFC 4594.)
.RE
.RE
.TS
box;
cb	|	cb	|	cb	|	cb
=	|	=	|	=	|	=
lb	|	l	|	c	|	c	.
Name	Value	Service Class	Examples
NONE	000000	Standard	Undifferentiated
DEFAULT	\^	\^	\^
DF	\^	\^	\^
CS0	\^	\^	\^
_
CS1	001000	Low-Priority Data	No BW assurance
_
AF11	001010	High-Throughput Data	Store and forward
AF12	001100	\^	\^
AF13	001110	\^	\^
_
CS2	010000	OAM	OAM&P
_
AF21	010010	Low-Latency Data	Web-based ordering
AF22	010100	\^	\^
AF23	010110	\^	\^
_
CS3	011000	Broadcast Video	TV & live events
_
AF31	011010	Multimedia Streaming	Streaming video and audio
AF32	011100	\^	\^
AF33	011110	\^	\^
_
CS4	100000	Real-Time Interactive	Video conf and gaming
_
AF41	100010	Multimedia Conferencing	H.323 video conferencing
AF42	100100	\^	\^
AF43	100110	\^	\^
_
CS5	101000	Signaling	Video conf and gaming
_
EF	101110	Telephony	IP Telephony bearer
_
CS6	110000	Network Control	Network routing
_
CS7	111000
.TE
.RS
.IP Default:
Unset.
.RE
.TP
\fB\-f\fR | \fB\-F\fR \fIfromfile\fR
.br
Perform a One-way test \fBf\fRrom the target \fItestpeer\fR. The \fI\-F\fR
form is used to save the results in \fIfromfile\fR. If no directional
options (\fI\-f, \-F, \-t, \-T\fR) are specified, \fBowping\fR requests
concurrent bidirectional tests, otherwise only the explicit directions are
performed.
.RS
.IP Default:
True, unless the \fI\-t\fR or \fI\-T\fR have been specified explicitly.
.RE
.TP
\fB\-i\fR \fIsend_schedule\fR
.br
.I send_schedule
indicates the scheduled delay between sent packets. This is done by
specifying a list of \fIdelays\fR in a comma separated string (spaces are
not allowed). Each \fIdelay\fR
is indicated by a \fIvalue\fR and a \fItype\fR. There are two currently
available types of \fIdelays\fR that can be specified:
.RS
.IP \fBf\fR
[\fBf\fR]ixed offsets. This is used to indicate that the \fIvalue\fR is
a real offset.
.IP \fBe\fR
[\fBe\fR]xponential. This is used to indicate an exponentially distributed
pseudo-random quantity with a mean about the \fIvalue\fR given. (This
is the default if no alpha qualifier is specified. The intent of this is
to negate periodicity effects.)
.PP
When the sending process starts, it looks at the first \fIdelay\fR in the
list and waits that long to send the first packet. It takes the next
\fIdelay\fR from the list to determine how much longer to wait before sending
the second packet. This process continues
until there are no more \fIdelay\fR values specified in the list. At this
point the sending process loops back to the beginning of the complete
\fIsend_schedule\fR and this process begins again. This continues until
the sending process has sent \fIcount\fR packets as specified by the
\fB\-c\fR option.
.IP Default:
0.1e (seconds)
.RE
.TP
\fB\-E\fR \fIenddelay\fR
.br
Amount of time for a sender to wait after session completion (last packet
send-time plus \fItimeout\fR) before sending the stop sessions message.

This is important if the sender clock is running ahead of the receiver clock.

A session is complete \fItimeout\fR after the send time of the final packet.
If the sender clock is ahead of the receivers clock, the sender will declare
the session complete before the receiver. The receiver
is only allowed to retain records for the packets that were sent at least
\fItimeout\fR before it receives the stop sessions message from
the sender. Therefore, if the sender clock is running ahead of the receiver
clock, the receiver will be forced to delete some number of the final
packets from the session.

This parameter directs the sender to wait \fIenddelay\fR after
session completion allowing the receiver clock to be essentially \fIenddelay\fR
later than the sender clock and still retain full sessions.
.RS
.IP Default:
1.0 (seconds)
.RE
.TP
\fB\-L\fR \fItimeout\fR
.br
Amount of time to wait for a packet to be received before declaring it
lost. As such, it is also the amount of time the test session has to
stay active after the last packet is sent to be able to count duplicate
packets. I.e., add this number to the duration of your session to determine
how long to expect a test session to take.

Note: The default of 2 seconds longer than a round-trip estimate was simply
a guess for how long a typical user would be willing to wait after the end
of the test for the results. For the \fBOWAMP\fR results to be
statistically relevant and to be able to compare data between two sessions
the \fItimeout\fR option should be specified.
.RS
.IP Default:
2 seconds longer than the round-trip estimate. (seconds)
.RE
.TP
.BI \-P " 0 | lowport-highport"
.br
Specify the specific port range to use on the local host for
.I OWAMP-Test
packets. This can be specified in two ways. First, as 0 which would indicate
.B owping
should allow the system to pick the port (ephemeral). Second, as a range.
.I lowport
must be a smaller value than
.I highport
and both numbers must be valid port values. (16 bit unsigned integer values)
.RS
.IP Default:
0
.RE
.TP
\fB\-s\fR \fIsize\fR
.br
Size of the padding to add to each minimally-sized test packet. The minimal
size for a test packet in \fIopen\fR mode is 14 bytes. The minimal size
for a test packet in \fIauthenticated\fR or \fIencrypted\fR mode is 32 bytes.
.RS
.IP Default:
0 (bytes)
.RE
.TP
\fB\-t\fR | \fB\-T\fR \fItofile\fR
.br
Perform a one-way test \fBt\fRoward the target \fItestpeer\fR. The \fI\-T\fR
form is used to save the results in \fItofile\fR. If no directional
options (\fI\-f, \-F, \-t, \-T\fR) are specified, \fBowping\fR requests
concurrent bidirectional tests, otherwise only the explicit directions are
performed.
.RS
.IP Default:
True, unless the \fI\-f\fR or \fI\-F\fR have been specified explicitly.
.RE
.TP
\fB\-z\fR \fIdelayStart\fR
.br
Time to wait before starting a test. \fBowping\fR attempts to calculate a
reasonable minimum delay to ensure that the start of the test happens
after completion of the setup protocol. If \fIdelayStart\fR is specified
as a value less than this reasonable minimum delay, the reasonable minimum
will be used instead.
.RS
.IP Default:
2-3 times the round-trip estimate plus 1 (seconds)
.RE
.lf 98 owping.ms
.lf 1 owping_conn_opts.man
." ex: set tabstop=4 ai expandtab softtabstop=4 shiftwidth=4:
." -*- mode: c-basic-indent: 4; tab-width: 4; indent-tabs-mode: nil -*-
." The first line of this file must contain the '"[e][r][t][v] line
." to tell man to run the appropriate filter "t" for table.
." vim: set filetype=nroff :
."
."    $Id: owping_conn_opts.man 970 2007-02-24 11:22:14Z boote $
."
."######################################################################
."#                                                                    #
."#                        Copyright (C)  2007                         #
."#                            Internet2                               #
."#                        All Rights Reserved                         #
."#                                                                    #
."######################################################################
."
."    File:        owping_conn_opts.man
."
."    Author:      Jeff W. Boote
."                 Internet2
."
."    Date:        Sat Feb 24 03:57:37 MST 2007
."
."    Description:    
."      This file is included into owping.1, owfetch.1, owup.1 and
."      is not useful as a man-page on its own.
."
.SS Connection/Authentication Options:
.TP
\fB\-A\fR \fIauthmode\fB
.br
Specify the authentication modes the client is willing to use for
communication. \fIauthmode\fR should be set as a character string with
any or all of the characters "AEO". The modes are:
.RS
.IP \fBA\fR
[\fBA\fR]uthenticated. This mode encrypts the control connection and
digitally signs part of each test packet.
.IP \fBE\fR
[\fBE\fR]ncrypted. This mode encrypts the control connection and
encrypts each test packet in full. This mode forces an encryption step
between the fetching of a timestamp and when the packet is sent. This
adds more computational delay to the time reported by \fBOWAMP\fR for each
packet.
.IP \fBO\fR
[\fBO\fR]pen. No encryption of any kind is done.
.PP
The client can specify all the modes with which it is willing to communicate.
The most strict mode that both the \fBOWAMP\fR server and the \fBOWAMP\fR
client are willing to use
will be selected. Authenticated and Encrypted modes require a "shared secret"
in the form of a pass-phrase that is used to generate the AES and HMAC-SHA1
session keys.
.IP Default:
"AEO".
.RE
.TP
\fB\-k\fR \fIpfsfile\fR
.br
Use the pass-phrase in \fIpfsfile\fR for
\fIusername\fR to derive the symmetric AES key used for encryption.
\fIusername\fR must have a valid entry in \fIpfsfile\fR.
\fIpfsfile\fR can be generated as described in the pfstore(1) manual
page.
.RS
.IP Default:
Unset. (If the \fB\-u\fR option was specified without the \fB-k\fR, the
user will be prompted for a \fIpassphrase\fR.)
.RE
.TP
\fB\-S\fR \fIsrcaddr\fR
.br
Bind the local address of the client socket to \fIsrcaddr\fR. \fIsrcaddr\fR
can be specified using a DNS name or using standard textual notations for
the IP addresses. (IPv6 addresses are of course supported.)
.RS
.IP Default:
Unspecified (wild-card address selection).
.RE
.TP
\fB\-u\fR \fIusername\fR
.br
Specify the username that identifies the shared secret (pass-phrase)
used to derive the AES and HMAC-SHA1 session keys for
authenticated and encrypted modes. If the \fB\-k\fR option is specified,
the pass-phrase is retrieved from the \fIpfsfile\fR,
otherwise the user is prompted for a pass-phrase.
.RS
.IP Default:
Unset.
.RE
.lf 99 owping.ms
.lf 1 owping_out_opts.man
." ex: set tabstop=4 ai expandtab softtabstop=4 shiftwidth=4:
." -*- mode: c-basic-indent: 4; tab-width: 4; indent-tabs-mode: nil -*-
." The first line of this file must contain the '"[e][r][t][v] line
." to tell man to run the appropriate filter "t" for table.
." vim: set filetype=nroff :
."
."    $Id: owping_out_opts.man 1033 2008-12-16 18:38:51Z boote $
."
."######################################################################
."#                                                                    #
."#                        Copyright (C)  2007                         #
."#                            Internet2                               #
."#                        All Rights Reserved                         #
."#                                                                    #
."######################################################################
."
."    File:        owping_out_opts.man
."
."    Author:      Jeff W. Boote
."                 Internet2
."
."    Date:        Sat Feb 24 04:03:02 MST 2007
."
."    Description:    
."      This file is included into owping.1, owfetch.1, owstats.1 and
."      is not useful as a man-page on its own.
."
.SH Output Options:
.TP
\fB\-a\fR \fIpercentile_list\fR
.br
.I percentile_list
indicates the list of quantiles to be reported out in addition to
median. This is done by specifying a list of \fIpercentiles\fR in
a comma separated string (spaces are not allowed). Each \fIpercentile\fR
is indicated by a floating point value between 0.0 and 100.0.

This value is only used if reporting summary statistics.
.RS
.IP Default:
Unset.
.RE
.TP
\fB\-b\fR \fIbucket_width\fR
.br
A histogram of delays is created to compute the summary statistics.
(This is used to compute percentiles of delay such as median.) The
.I bucket_width
indicates the resolution of the bins in the histogram. This value
is specified using a floating point value and the units are seconds.

Because a histogram to compute the median (and
other percentiles of delay) the results can be misleading if the
.I bucket_width
is not appropriate. For example, if all of the delays in the sample are
smaller than the value of
.I bucket_width
then the median will be reported as
.I bucket_width,
a value that is greater than the maximum delay in the sample. To avoid this,
.I bucket_width
should be picked to be smaller than (max - min). The default value
was selected to be reasonable for most real network paths, it is not
appropriate for tests to the localhost however.

This value is only used if reporting summary statistics.
.RS
.IP Default:
0.0001 (100 usecs)
.RE
.TP
\fB\-d\fR \fIdir\fR
.br
.I dir
indicates the directory in which to save summary files if the \fI\-p\fR
option is used.
.RS
.IP Default:
(current working directory)
.RE
.TP
\fB\-M\fR
.br
Print summary information in a more computer pars-able format. Specifically,
values are printed out in a key/value style. Units are seconds for all time
values.

The \fI\-M\fR option is ignored if \fI\-Q\fR is set.
.RS
.IP Default:
Unset.
.RE
.TP
\fB\-N\fR \fIcount\fR
.br
Number of test packets to put in sub-session summaries when computing
statistics on owamp session data. 

This option is used to break down the summary statistics in smaller
sample sizes than a complete owp file. This is useful when breaking
up very long running sessions.

This option is only used for statistical
output, and therefore has no effect on the \fB\-R\fR output mode.
.RS
.IP Default:
Unset. (complete files are treated as the sample size)
.RE
.TP
\fB\-n\fR \fIunits\fR
.br
.I units
indicates what units time values should be reported in. \fIunits\fR is
specified using a single character specifying the units wanted.
.RS
.PP
The available units are:
.br
.TS
li l .
\'n\'	nanoseconds (ns)
\'u\'	microseconds (us)
\'m\'	milliseconds (ms)
\'s\'	seconds (s)
.TE
.PP
This is only used for the human-readable summary statistics and
the \fB\-v\fR mode of
reporting individual records. In particular, it is not used for the
\fB\-R\fR or \fB\-M\fR output modes.
.IP Default:
Unset.
.RE
.TP
\fB\-p\fR
.br
Save output summary information into files instead of printing it to
STDOUT. Also, print the names of the files to STDOUT. The files will
be saved in the directory specified by the
.I \-d
option.

The summary filenames are in the format:
.br

${START_TIME}_${END_TIME}.${FILETYPE}

.I STARTTIME
and
.I ENDTIME
are the start and end timestamps for the session or sub-session. The
timestamps are ASCII representation of 64 bit integers with the
high-order 32 bits representing the number of seconds since
Jan 1, 1900 and the low-order 32 bits representing fractional seconds.
The
.I FILETYPE
is \fIsum\fR for \fI\-M\fR summary files,
and \fItxt\fR for the default human-readable summary information.

This option is ignored if the \fI\-R\fR option is specified.
.RS
.IP Default:
Unset.
.RE
.TP
\fB\-Q\fR
.br
Suppress the printing of all summary statistics and human-readable individual
delays (\fI\-v\fR).
.RS
.IP Default:
Unset.
.RE
.TP
\fB\-R\fR
.br
Print individual packet records one per line in the raw format:
.RS
.PP
\fISEQNO SENDTIME SSYNC SERR RECVTIME RSYNC RERR TTL\fR
.br
.TS
li l .
SEQNO	Sequence number.
SENDTIME	Send timestamp.
SSYNC	Sending system synchronized (0 or 1).
SERR	Estimate of SENDTIME error.
RECVTIME	Receive timestamp.
RSYNC	Receiving system synchronized (0 or 1).
RERR	Estimate of RECVTIME error.
TTL	TTL IP field.
.TE
.PP
The timestamps are ASCII representation of 64 bit integers with the
high-order 32 bits representing the number of seconds since Jan 1, 1900
and the low-order 32 bits representing fractional seconds.
Lost packet records are indicated with a RECVTIME of 0 (zero).
The sequence
number is simply an integer. The error estimates are printed as floating-point
numbers using scientific notation. TTL is the IP field from the packet.
The TTL in sending packets should be initialized to 255, so the number of
hops the packet traversed can be computed. If the receiving host is not
able to determine the TTL field, this will be reported as 255. (Some
socket API's do not expose the TTL field.)
.PP
The \fI\-R\fR option implies \fI\-Q\fR.
.IP Default:
Unset.
.RE
.TP
\fB\-v\fR
.br
Print delays for individual packet records. This option is disabled by
the \fI\-Q\fR and \fI\-R\fR options.
.RS
.IP Default:
Unset.
.RE
.lf 100 owping.ms
.SH ENVIRONMENT VARIABLES
.TS
lb lb
_ _
lb li .
OWAMP Environment Variable	Description

OWAMP_DEBUG_TIMEOFFSET	Offset time by this amount (float)
.TE
.SH EXAMPLES
.LP
\fBowping somehost.com\fR
.IP
Run two concurrent ~10-second test sessions at a rate of a packet every 0.1
seconds. One session sending packets from the local host to somehost.com,
the other session receiving packets from somehost.com.) Print summary
statistics of the results only.
.LP
\fBowping somehost.com:98765
.IP
Run the same two concurrent test sessions to a server running on somehost.com
but on a non-default port.
.LP
\fBowping -u someuser somehost.com\fR
.IP
Run the default test as in the first example. Authenticate using
the identity \fIsomeuser\fR. \fBowping\fR will prompt for a \fIpassphrase\fR.
.LP
\fBowping -f somehost.com\fR
.IP
Run a single ~10-second test session at a rate of one packet every 0.1
seconds with the packets being sent from somehost.com and received
at the local host.
.LP
\fBowping -F from.owp somehost.com\fR
.IP
Same as the previous example, with the resulting data saved in
from.owp. The \fBowstats\fR program can be used to decode
that datafile using the same Output options that are available in
\fBowping\fR.
.LP
\fBowping -F from.owp -T to.owp somehost.com\fR
.IP
Run two concurrent ~10-second test sessions at a rate of a packet every 0.1
seconds. One session sending packets from the local host to somehost.com,
the other session receiving packets from somehost.com.) Print summary
statistics of the results and save the resulting data saved in from.owp and
to.owp.
.LP
\fBowping -i 1e -c 10 somehost.com\fR
.IP
Run two concurrent ~10-second test sessions at an average rate of 1 packet
every second. One session sending packets from the local host to
somehost.com, the other session receiving packets from somehost.com.)
Print summary statistics of the results only.
.LP
\fBowping -i 1f -c 10 somehost.com\fR
.IP
Run two concurrent ~10-second test sessions at a rate of 1 packet
every second. One session sending packets from the local host to
somehost.com, the other session receiving packets from somehost.com.)
Print summary statistics of the results only.
.LP
\fBowping -i 1.0e,0f -c 20 somehost.com\fR
.IP
Run two concurrent ~10-second test sessions. Send back-to-back packet
pairs at an average rate of a packet pair every 1 seconds.
One session sending packets from the local host to
somehost.com, the other session receiving packets from somehost.com.)
Print summary statistics of the results only.
.SH SEE ALSO
owampd(8), owstats(1), owfetch(1) and the \%http://e2epi.internet2.edu/owamp/
web site.
.SH ACKNOWLEDGMENTS
This material is based in part on work supported by the National Science
Foundation (NSF) under Grant No. ANI-0314723. Any opinions, findings and
conclusions or recommendations expressed in this material are those of
the author(s) and do not necessarily reflect the views of the NSF.
